<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Critères/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un critères</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!criteresForm.invalid && save()" #criteresForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom du critères</mat-label>
            <input minlength="3" [(ngModel)]="criteresToSend.nomCritere" name="nomCritere" matInput
                   placeholder="Ex. Coup blanc" required>
            <mat-error *ngIf="criteresToSend.nomCritere.length<3">Une valeur d'au moins 3 caractères est requise</mat-error>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Type d'observation</mat-label>
            <input minlength="3" [(ngModel)]="criteresToSend.typeObservation" name="typeObservation" matInput
                   placeholder="Ex. Dim" required>
            <mat-error *ngIf="criteresToSend.typeObservation.length<3">Une valeur d'au moins 3 caractères est requise</mat-error>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Info démérite</mat-label>
            <input name="infoDemerite" [(ngModel)]="criteresToSend.infoDemerite" matInput
                   placeholder="Ex. Valeur Ohmique non conforme -> 10" required>
            <mat-error *ngIf="criteresToSend.infoDemerite.length<3">Une valeur d'au moins 3 caractères est requise</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Type du critère</mat-label>
            <mat-select name="FK_TypeCriteres" [(ngModel)]="criteresToSend.FK_TypeCriteres" required>
              <mat-option *ngFor="let typeCrit of typeCriteresList" [value]="typeCrit.typeCritereId">
                {{typeCrit.type}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="criteresToSend.FK_TypeCriteres === null">Une valeur est requise</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Process du critère</mat-label>
            <mat-select name="FK_processId" [(ngModel)]="criteresToSend.listProcess" multiple required>
              <mat-option *ngFor="let process of processList" [value]="process.processId">
                {{process.nomProcess}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="criteresToSend.listProcess === null">Une valeur est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!criteresForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
